Bug 13098 - (jkridner) Account request to submit TI DaVinci device support
(jkridner)
Account request to submit TI DaVinci device support
Status: RESOLVED FIXED
Product: freedesktop.org
Classification: Unclassified
Component: New Accounts
unspecified
Other All
: medium normal
Assigned To: Thomas Vander Stichele
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-05 08:48 UTC by Jason Kridner
Modified: 2008-08-14 21:03 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Kridner 2007-11-05 08:48:37 UTC
There are some folks that have done some work for several plug-ins to work with TI's Codec Engine and an overall port to TI's DaVinci processors.  They'd like to publish the work and I'm trying to help them make it suitable for pushing it upstream.  I don't want them to fork the code unnecessarily.

I'll try to be on #gstreamer as 'jkridner' if you'd like to discuss.
Comment 1 Jason Kridner 2007-11-05 09:23:56 UTC
Preferred account name: jkridner
Real name and e-mail were used to file the bug.

SSH public key:
ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAQEAwyR3WOLCbBWoRIWjjA/nSCkwI3p5uIdCEAJElNKBRia93kvsyjHeA6mqoGF1A75K
tmhriunSrlctPfzsHiBL+DWRBmkfuch7awLXnDtSXg5QlgpsO6NFRFDLhG4EGF1Q7ZnvEB+P/c+mHQBd0HG8pidq+H5RR5bAcXEu
RxfZa232C6pOem3/xJv8/ltN1vLAs6FT5HlnYFJUc9CQi6dviLWboV/y2oiZ0IbQAXf6MvjLZYAJt1cH8BdELk7UZP/iRVMrarck
5mYGzN6NKoc4uh6ivetypS159oubtoiT9bmIhdbh85SPxIltYfAYzywv9k+2fckfEdTHubtzH0uW0Q== root@localhost

GPG:
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.7 (GNU/Linux)

mQGiBEcvS7QRBADAKzXpaisu8z2K2XmLzz1icgm5oWKw1peueu0ENQcgpihK6cbN
BmBFt3p82601tV3dWsvCASpYdY55SO7WrWRiODOlB0rnayHkgCJOLAicxDyHTsGA
jUAHQUspMaX3zND3HWnsltuhWNH2+qgfhny9wISUzjUHQJcUmuTQEoJcqwCg9rBJ
i798TmmkoZd+aalDu7kfN/MD/3+VlHGB0Y95zB2Dw38QoILROTXMyXJIethg8oga
EpVRI8CjDf/63J5lpD7MNnrTlYQPOVRbuWxGOargbNP7vNX5Gy6PSEbXEWk0uy4F
kVLYzbqSPFex4DCpmeIVkV3G5mFaQSgifoN/NkxMPlOOcEWow9C+qBgfbsHYTmRU
qKRIBAChGD/WNdtBXjCCmmJDhryaFqe3lv8AJ1OOVsZPBdJHLAvlo9GjLhlnGgil
V3x5Dr3Q0CUf/dSkAE7wStdLJqXEey2ub9F3wgZZw5GrvBA1zQPnAjQxQHLGdH1O
7cUDvBRMIuJsGvyLZxXaJCMSh+RflT06ztvU3mw4Dzc3KhvroLQiSmFzb24gS3Jp
ZG5lciA8amtyaWRuZXJAZ21haWwuY29tPohfBBMRAgAfBQJHL0u0AhsDBgsJCAcD
AgQVAggDAxYCAQIeAQIXgAAKCRDC7AtaB/6CNr9PAKDFjFW+ItIARdWp/MqPt0zx
rRxNAACgwF+OVobji1UuV+LtiAATz1wKf3+5Ag0ERy9LtBAIAMHvslZQ1d1UWUSZ
J8D14gtcu7Wz6F6l8UdDr4fZBfdOJ2cT9DEq1c2uLUpPI65K3QdvC01Xmrl1Ow8y
gIHOp22fo+JNsAY0HBGPaosPCQY6Jp9g0Xa3N+KKZgx3ygKLBKoxTOWGtFXc6iqz
l+XqxfavXb9P/1Vyj+Fc/yCC/ztIFMm3FJEBgIilx4MmKGPUAAFEB72plXvXxpyt
3E0dWNZSC3frOQ8jT8JC6HTOqNG7IOWOUUbZLtboFJtZoZLgStEI4IcwGGcrbZsC
gSZaLQsz6raNTmBMV8gM1YTb35R6vSq3ccGmPfCf9ogf5G5/EyT5SEJgQSe837Uh
KYNQrLcABR0H/isTwZSdPHdGBC4FNuk6jwdEf93295adoClI69zDaA/i3UWpCN3D
H329Ap3BuW8kTlNuN1HBrwTfQ/xeGvaUSh17uZoaztwTe2rH8Af/U45vLD9cmj53
eY/dvGpwraEHMYfqO6y3z5srh+fowEupfZ7DhQ3/IXVb25uDu3CI6Xb4ZPDQGGUi
zd6GfbOeDc3XYNbpALfNWSJGZk0Tdah0Ymh+fBBuHzXvdv1CjQa8i7k74t05LIF/
UGCGJzRhsCLNLHCxS5IRLtYe4bPTaH4cCdDggdNpZZGoz69vLy8Yb+nZUcdtY53l
5uk8NCipSQmcg9IUoXazI4xwFZxu6XUqsV+ISQQYEQIACQUCRy9LtAIbDAAKCRDC
7AtaB/6CNjWkAJ4ruLCFSVAKOyXS3MqT2jyqZ3AMUACfaw+N9DANaCgPSQNKwIeQ
CKDSAdk=
=ucP7
-----END PGP PUBLIC KEY BLOCK-----
Comment 2 Benjamin Close 2008-01-21 15:51:52 UTC
Can anyone confirm this request?
Comment 3 Daniel Stone 2008-01-30 06:45:46 UTC
It's about GStreamer: I assume Thomas will get around to it eventually.
Comment 4 Jason Kridner 2008-02-01 14:17:17 UTC
(In reply to comment #0)
> There are some folks that have done some work for several plug-ins to work with
> TI's Codec Engine and an overall port to TI's DaVinci processors.  They'd like
> to publish the work and I'm trying to help them make it suitable for pushing it
> upstream.  I don't want them to fork the code unnecessarily.
> 
> I'll try to be on #gstreamer as 'jkridner' if you'd like to discuss.
> 

(In reply to comment #3)
> It's about GStreamer: I assume Thomas will get around to it eventually.
> 

I hope so.  In the meantime, the code has been released at http://focus.ti.com/dsp/docs/dspsplash.tsp?contentId=3100. 
Comment 5 Benjamin Close 2008-02-11 15:21:45 UTC
Ping Thomas@apestaart.org - do you confirm this request?
Comment 6 Benjamin Close 2008-03-04 05:48:08 UTC
Thomas Vander Stichele <thomas@apestaart.org> - ping
Comment 7 Benjamin Close 2008-04-07 18:29:28 UTC
Timeout lack of response - Please reopen if you can get Thomas to reply.
Comment 8 Thomas Vander Stichele 2008-05-12 10:08:48 UTC
Hi Jason,

do you have any previous patches as an example ? Or an outline of what you are planning to do ? We usually expect people to show some level of contribution before giving them a CVS account.
Comment 9 Thomas Vander Stichele 2008-05-12 10:09:51 UTC
reopening because Thomas has been located
Comment 10 Benjamin Close 2008-07-09 21:19:47 UTC
Ping - Jason do you have a comment on this?
Comment 11 Jason Kridner 2008-07-09 21:45:22 UTC
The original port of GStreamer to DaVinci is here:
 http://focus.ti.com/dsp/docs/dspsplash.tsp?contentId=3100

We sought to find a 3rd party maintainer and they provided this:
 http://www.z3technology.com/DaVinci_GStreamer/Developers.htm

Development has continued internal to TI, and there is a small following on:
 http://www.mail-archive.com/davinci-linux-open-source@linux.davincidsp.com/

We are planning to do several things to improve the state of our license agreements, including providing the user-space ARM components under a GPL-compatible license (not GPL), kernel-space ARM components under the GPL license, a free DSP compiler, binaries for loading DSP objects, no-cost DSP codec binaries for select codecs, and supporting community development of open source codecs on the DSP.

Low-cost access to an open platform will be provided by the Neuros OSD2:
 http://wiki.neurostechnology.com/index.php/OSD2.0_HD_Platform

They chose, however, to focus first on VLC, rather than GStreamer:
 http://youtube.com/watch?v=1UBwHYQcFf8

There is also on-going work on OMAP3 and a demo of GStreamer on the OMAP3 BeagleBoard.  We'll also move towards opening that up.
Comment 12 Benjamin Close 2008-08-14 21:03:27 UTC
Certainly seems a worthy cause. Your account has now been created, please just run your first few patches past the gstreamer mailing list before committing. Sorry it's taken so long to set this up.

Any issues, please let me know.